Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	macro recording / playback application for g15daemon
Name:      	g15macro
Version:   	1.0.3
Release:   	1
Provides:  	g15daemon
License : 	GPL
url:		http://sourceforge.net/projects/g15daemon	
Group:     	System/Configuration/Hardware  
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libX11-devel
BuildRequires:  libXtst-devel
BuildRequires:	glibc-devel
BuildRequires:  g15daemon-devel
BuildRequires:  libg15render-devel
BuildRequires:  libusb-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
A simple Macro recording/playback app for G15Daemon.

Features:
- records both keyboard and mouse activity, playback via 'G' hotkey
- up to 56 macros can be created (using the 'M' keys to select a palette).
- Each macro can have up to 128 steps

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix  --mandir=%_mandir -disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_bindir
%_datadir/doc/
%_datadir/g15macro/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- initial CCux package release
